Werbung


 
Forum  


  Reply to this topicStart new topicStart Poll

> Libqtxml.so Nicht Gefunden, Abhängigkeitsproblem?
halo-fan
Geschrieben am: 06.02.2009, 21:23
Quote Post


Apfelmost


Gruppe: Serverbetreiber
Beiträge: 683
Mitgliedsnummer.: 9.727
Mitglied seit: 28.07.2004



Hallo zusammen

Erstmals: Cool, dass es jetzt auch eine Qt-Gui gibt icon_biggrin.gif !

Nun aber zum Problem: Ich habe mir die Juice Gui v1.1 als deb-i386-Binary herunter geladen. Da ich aber ein amd64-Debian habe, musste ich Juice mit "dpkg -i --force-architecture juicer.deb" installieren. Die Installation verlief gut.

Wenn ich Juicer nun starte will, bekomme ich jedoch die Meldung:
CODE
juicer: error while loading shared libraries: libQtXml.so.4: cannot open shared object file: No such file or directory


Da scheint eine Abhängigkeit vergessen zu sein.

Weiss jemand, welches Paket ich installieren muss?

Ich habe mal libqt4-xml probiert, war aber schon installiert, ebenso libqt3-mt.

Danke für jeden Tipp!


halo-fan

PMEmail Poster
Top
moh0815
Geschrieben am: 06.02.2009, 21:54
Quote Post


Jungpflanze


Gruppe: Serverbetreiber
Beiträge: 120
Mitgliedsnummer.: 13.019
Mitglied seit: 15.03.2005



Hi,

hilft Dir http://packages.debian.org/search?searchon...able&arch=amd64 ?

<edit>
Der Link oben gilt für etch, der hier für lenny: http://packages.debian.org/search?searchon...ting&arch=amd64
</edit>

Sonst wüsst ich auch nicht...

Grüsse,
moh

Bearbeitet von moh0815 am 06.02.2009, 21:57


--------------------
24h Happy-Hour in moh's Taverne - Man sieht sich (-;
PM
Top
Lestat
Geschrieben am: 06.02.2009, 22:23
Quote Post


Apfelkern


Gruppe: Admin a.D.
Beiträge: 87
Mitgliedsnummer.: 9.386
Mitglied seit: 29.06.2004



Juicer ist in dem .deb als 32 Bit Binary kompiliert und entsprechend auch dynamisch gegen ein 32-Bit Qt4 gelinkt. Hat Debian 32 Bit Kompatibilitätsbibliotheken? Ich vermute mal es liegt daran, dass du Qt nur als 64 Bit Version drauf hast.

Mal schauen, ob ich eine amd64-deb von Juicer bauen kann. Ubuntu hab ich nur auf dem Notebook, auf meinem 64 Bit Hauptrechner läuft Gentoo.


--------------------
From freedom came elegance - Linux Mint 7 Gloria
PMEmail PosterUsers Website
Top
halo-fan
Geschrieben am: 06.02.2009, 22:33
Quote Post


Apfelmost


Gruppe: Serverbetreiber
Beiträge: 683
Mitgliedsnummer.: 9.727
Mitglied seit: 28.07.2004



Danke für die prompte Antwort.

Ich habe mir das Paket geholt, jedoch bei der Installation festgestellt, dass ich davon schon Version 4.4.3-2 (anstelle 4.4.3-1) installiert habe. Aber ich denke dies sollte keine Probleme machen.

QUOTE
Juicer ist in dem .deb als 32 Bit Binary kompiliert und entsprechend auch dynamisch gegen ein 32-Bit Qt4 gelinkt. Hat Debian 32 Bit Kompatibilitätsbibliotheken? Ich vermute mal es liegt daran, dass du Qt nur als 64 Bit Version drauf hast.


Ja es stimmt, dass bei mir nur das 64Bit KDE installiert ist. Aber müsste das nicht dennoch funktionieren? Die Files sollten ja am selben Ort liegen, egal ob 32- oder 64Bit. Alternativ wäre eine native 64Bit-Version natürlich super. icon_thumbup.gif



Gruss
halo-fan
PMEmail Poster
Top
Lestat
Geschrieben am: 24.02.2009, 11:02
Quote Post


Apfelkern


Gruppe: Admin a.D.
Beiträge: 87
Mitgliedsnummer.: 9.386
Mitglied seit: 29.06.2004



Das Problem ist nicht die Lage der Bibliotheken sondern die Art. Juicer ist als 32 Bit Binary übersetzt und dynamisch gegen die 32 Bit Bibliotheken gelinkt. Du hast aber 64 Bit Bibliotheken installiert. Das ist so ähnlich wie wenn du Traktorreifen an einen Kleinwagen schrauben willst icon_wink.gif

Unter Gentoo bekomme ich leider kein passendes 64-Bit .deb hin. Ich muss dich daher zunächst einmal auf die nächste Version vertrösten. Dort werd ich dann die passende Qt-Version wie unter Windows statisch in die Binary zu linken. Muss mich dazu aber erstmal schlau machen.

Alternativ kannst du Juicer auch selbst von den Quellen übersetzen.


--------------------
From freedom came elegance - Linux Mint 7 Gloria
PMEmail PosterUsers Website
Top
Thema wird von 0 Benutzer(n) gelesen (0 Gäste und 0 Anonyme Benutzer)
0 Mitglieder:

Topic Options Reply to this topicStart new topicStart Poll